PKCS12BagAttributeCarrierImpl (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.asymmetric.util

## Class PKCS12BagAttributeCarrierImpl

- java.lang.Object
- - org.bouncycastle.jcajce.provider.asymmetric.util.PKCS12BagAttributeCarrierImpl

- All Implemented Interfaces:
    PKCS12BagAttributeCarrier

      public class PKCS12BagAttributeCarrierImpl
      extends java.lang.Object
      implements PKCS12BagAttributeCarrier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS12BagAttributeCarrierImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Encodable` | `getBagAttribute(ASN1ObjectIdentifier oid)`
    `java.util.Enumeration` | `getBagAttributeKeys()`
    `void` | `readObject(java.io.ObjectInputStream in)`
    `void` | `setBagAttribute(ASN1ObjectIdentifier oid, ASN1Encodable attribute)`
    `void` | `writeObject(java.io.ObjectOutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS12BagAttributeCarrierImpl

          public PKCS12BagAttributeCarrierImpl()

  - ### Method Detail

    - #### setBagAttribute

          public void setBagAttribute(ASN1ObjectIdentifier oid,
                             ASN1Encodable attribute)

      Specified by:
        `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

    - #### getBagAttribute

          public ASN1Encodable getBagAttribute(ASN1ObjectIdentifier oid)

      Specified by:
        `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

    - #### getBagAttributeKeys

          public java.util.Enumeration getBagAttributeKeys()

      Specified by:
        `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

    - #### writeObject

          public void writeObject(java.io.ObjectOutputStream out)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          public void readObject(java.io.ObjectInputStream in)
                          throws java.io.IOException,
                                 java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`